package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.EmsFacsSubtype;

/**
 * 能源设施/系统子类Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public interface EmsFacsSubtypeMapper {
    /**
     * 查询能源设施/系统子类
     *
     * @param id 能源设施/系统子类主键
     * @return 能源设施/系统子类
     */
    EmsFacsSubtype selectFacsSubtypeById(Long id);

    /**
     * 查询能源设施/系统子类列表
     *
     * @param emsFacsSubtype 能源设施/系统子类
     * @return 能源设施/系统子类集合
     */
    List<EmsFacsSubtype> selectFacsSubtypeList(EmsFacsSubtype emsFacsSubtype);

    /**
     * 新增能源设施/系统子类
     *
     * @param emsFacsSubtype 能源设施/系统子类
     * @return 结果
     */
    int insertFacsSubtype(EmsFacsSubtype emsFacsSubtype);

    /**
     * 批量新增能源设施/系统子类
     *
     * @param list 能源设施/系统子类列表
     * @return 结果
     */
    void insertFacsSubtypeBatch(List<EmsFacsSubtype> list);

    /**
     * 修改能源设施/系统子类
     *
     * @param emsFacsSubtype 能源设施/系统子类
     * @return 结果
     */
    int updateFacsSubtype(EmsFacsSubtype emsFacsSubtype);

    /**
     * 删除能源设施/系统子类
     *
     * @param id 能源设施/系统子类主键
     * @return 结果
     */
    int deleteFacsSubtypeById(Long id);

    /**
     * 批量删除能源设施/系统子类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFacsSubtypeByIds(Long[] ids);

    /**
     * 批量删除能源设施/系统子类
     *
     * @param code 父分类ID
     * @return 结果
     */
    int deleteFacsSubtypeByParentCode(String code);
}
